﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace AllFind
{
    public partial class frmmain : Form
    {
        private string SrcUrl = string.Empty;

        public frmmain()
        {
            InitializeComponent();
        }

        private void OpenUrl(string localname)
        {
            //Create new process object.
            System.Diagnostics.Process p = new System.Diagnostics.Process();
            //Set the filename to open
            p.StartInfo.FileName = localname;
            //Try and start the process
            try
            {
                p.Start();
            }
            catch(Exception e)
            {
                MessageBox.Show(e.Message, "Error",
                    MessageBoxButtons.OK, MessageBoxIcon.Error);
            }
        }

        private void ResertRadioButtonValue(GroupBox gb)
        {
            foreach (RadioButton rb in gb.Controls)
            {
                //Reset radio checked state to false
                rb.Checked = false;
            }
        }

        private void Group1_Enter(object sender, EventArgs e)
        {
            //Reset radio buttons checked state to false
            ResertRadioButtonValue(Group2);
            ResertRadioButtonValue(Group3);
            ResertRadioButtonValue(Group4);
            txtFind.Select();
        }

        private void Group2_Enter(object sender, EventArgs e)
        {
            //Reset radio buttons checked state to false
            ResertRadioButtonValue(Group1);
            ResertRadioButtonValue(Group3);
            ResertRadioButtonValue(Group4);
            txtFind.Select();
        }

        private void Group3_Enter(object sender, EventArgs e)
        {
            //Reset radio buttons checked state to false
            ResertRadioButtonValue(Group1);
            ResertRadioButtonValue(Group2);
            ResertRadioButtonValue(Group4);
            txtFind.Select();
        }

        private void Group4_Enter(object sender, EventArgs e)
        {
            //Reset radio buttons checked state to false
            ResertRadioButtonValue(Group1);
            ResertRadioButtonValue(Group2);
            ResertRadioButtonValue(Group3);
            txtFind.Select();
        }

        private void r1_CheckedChanged(object sender, EventArgs e)
        {
            //Set the url
            SrcUrl = "http://www.google.co.uk/#sclient=psy&hl=en&q=$FIND$";
        }

        private void r2_CheckedChanged(object sender, EventArgs e)
        {
            //Set the url
            SrcUrl = "http://uk.search.yahoo.com/search;_ylt=ApWmbBmzMS1jJOvMFtbou0o4hJp4?vc=&p=$FIND$&toggle=1&cop=mss&ei=UTF-8&fr=yfp-t-371";

        }

        private void r3_CheckedChanged(object sender, EventArgs e)
        {
            //Set the url
            SrcUrl = "http://search.lycos.com/?tab=web&searchForm=true&query=$FIND$";
        }

        private void r4_CheckedChanged(object sender, EventArgs e)
        {
            //Set the url
            SrcUrl = "http://www.bing.com/search?q=$FIND$";
        }

        private void r5_CheckedChanged(object sender, EventArgs e)
        {
            //Set the url
            SrcUrl = "http://www.google.co.uk/images?hl=en&source=hp&biw=1596&bih=715&q=$FIND$";
        }

        private void r6_CheckedChanged(object sender, EventArgs e)
        {
            //Set the url
            SrcUrl = "http://uk.images.search.yahoo.com/search/images;_ylt=AvRYV2ZGdV8K4KU95P6bDqA4hJp4?vc=&p=$FIND$&toggle=1&cop=mss&ei=UTF-8&fr=yfp-t-371";
        }

        private void r7_CheckedChanged(object sender, EventArgs e)
        {
            //Set the url
            SrcUrl = "http://www.bing.com/images?q=$FIND$";
        }

        private void r8_CheckedChanged(object sender, EventArgs e)
        {
            //Set the url
            SrcUrl = "http://www.picsearch.com/index.cgi?cols=6&width=1320&q=$FIND$";
        }

        private void r9_CheckedChanged(object sender, EventArgs e)
        {
            //Set the url
            SrcUrl = "http://www.google.co.uk/search?q=$FIND$&tbo=p&tbm=vid&source=vgc&hl=en&aq=f";
        }

        private void r10_CheckedChanged(object sender, EventArgs e)
        {
            //Set the url
            SrcUrl = "http://uk.video.search.yahoo.com/search/video;_ylt=AjCaJJEUo2rFiym8yRPYnss4hJp4?vc=&p=$FIND$&toggle=1&cop=mss&ei=UTF-8&fr=yfp-t-371";
        }

        private void r11_CheckedChanged(object sender, EventArgs e)
        {
            //Set the url
            SrcUrl = "http://www.youtube.com/results?search_query=$FIND$&aq=f";
        }

        private void r12_CheckedChanged(object sender, EventArgs e)
        {
            //Set the url
            SrcUrl = "http://www.blinkx.com/videos/$FIND$";
        }

        private void r13_CheckedChanged(object sender, EventArgs e)
        {
            //Set the url
            SrcUrl = "http://www.snapfiles.com/downloadfind.php?action=s&st=$FIND$";
        }

        private void r14_CheckedChanged(object sender, EventArgs e)
        {
            //Set the url
            SrcUrl = "http://www.softpedia.com/dyn-search.php?search_term=$FIND$";
        }

        private void r15_CheckedChanged(object sender, EventArgs e)
        {
            //Set the url
            SrcUrl = "http://www.tucows.com/search.html?search_scope=win&search_terms=$FIND$&search_type=all";
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            r1_CheckedChanged(sender, e);
            txtFind.Select();
        }

        private void cmdFind_Click(object sender, EventArgs e)
        {
            //Encode the text
            string sFind = System.Web.HttpUtility.UrlEncode(txtFind.Text);
            //Replace $FIND$ tag with find text
            string Final = SrcUrl.Replace("$FIND$", sFind);
            //Open the url
            OpenUrl(Final);
        }

        private void txtFind_TextChanged(object sender, EventArgs e)
        {
            //Enable / Disable serach button.
            cmdFind.Enabled = (txtFind.Text.Trim().Length > 0);
        }

        private void txtFind_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (e.KeyChar == '\r')
            {
                //Stop key beep when enter is pressed
                e.Handled = true;
                //If button enabled raise it's click event
                if (cmdFind.Enabled)
                {
                    cmdFind_Click(sender, e);
                }
            }
        }

        private void cmdAbout_Click(object sender, EventArgs e)
        {
            //Display about box
            MessageBox.Show(this.Text + " V1.0\n\tBy Ben Jones",
                "About", MessageBoxButtons.OK, MessageBoxIcon.Information);
        }

        private void button1_Click(object sender, EventArgs e)
        {
            //Close program
            this.Close();
        }
    }
}
